
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>html学习第三天—— 第11章 盒子模型  div / 憋错料</title>

    <meta name="description" content="html学习第三天—— 第11章 盒子模型  div 盒模型--边框(一) 盒子模型的边框就是围绕着内容及补白的线,这条线你可以设置它的粗细.样式和颜色(边框三个属性). 如下面代码为div来设置边框粗细为2px.样式为实心的.颜色为红色的边框: div{ border:2px solid red; } 上面是border代码的缩写形式,可以分开写: div{ border-width:2px; border-style:solid; border-color:red; } 注意: 1.border-style(边框样式)常见样式有: dashed">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">html学习第三天—— 第11章 盒子模型  div</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>盒模型--边框（一）</h2>
<p>盒子模型的边框就是围绕着内容及补白的线，这条线你可以设置它的粗细、样式和颜色(边框三个属性)。</p>
<p>如下面代码为div来设置边框粗细为2px、样式为实心的、颜色为红色的边框：</p>
<pre>div{
    border:2px  solid  red;
}</pre>
<p>上面是border代码的缩写形式，可以分开写：</p>
<pre>div{
    border-width:2px;
    border-style:solid;
    border-color:red;
}</pre>
<p><strong>注意：</strong></p>
<p>1、border-style（边框样式）常见样式有：</p>
<p>dashed（虚线）| dotted（点线）| solid（实线）。</p>
<p>2、border-color（边框颜色）中的颜色可设置为十六进制颜色，如:</p>
<pre>border-color:#888;//前面的井号不要忘掉。</pre>
<p>3、border-width（边框宽度）中的宽度也可以设置为：</p>
<p>thin | medium | thick（但不是很常用），最常还是用象素（px）。</p>

<h2>盒模型--边框（二）</h2>
<p>现在有一个问题，如果有想为p标签单独设置下边框，而其它三边都不设置边框样式怎么办呢？css样式中允许只为一个方向的边框设置样式：</p>
<pre>div{<strong>border-bottom</strong>:1px solid red;}</pre>
<p>同样可以使用下面代码实现其它三边上、右、左边框的设置：</p>
<pre>border-top:1px solid red;
border-right:1px solid red;
border-left:1px solid red;</pre>

<pre>&lt;!DOCTYPE HTML&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312"&gt;
&lt;title&gt;边框&lt;/title&gt;
&lt;style type="text/css"&gt;
li{
  border-bottom:1px dotted #ccc;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;ul&gt;
    &lt;li&gt;别让不会说话害了你&lt;/li&gt;
    &lt;li&gt;二十七八岁就应该有的见识&lt;/li&gt;
    &lt;li&gt;别让不好意思害了你&lt;/li&gt;
&lt;/ul&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<h2>盒模型--宽度和高度</h2>
<p>盒模型宽度和高度和我们平常所说的物体的宽度和高度理解是不一样的，css内定义的宽（width）和高（height），指的是填充以里的内容范围。</p>
<p>因此一个元素实际宽度（盒子的宽度）=左边界+左边框+左填充+内容宽度+右填充+右边框+右边界。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm11a2V3YW5nLmNvbS81MzlmYmIzYTAwMDEzMDQzMDU1NzAyNTkuanBn.jpg" /></p>
<p>元素的高度也是同理。</p>
<p>比如：</p>
<p>css代码：</p>
<pre>div{
    width:200px;
    padding:20px;
    border:1px solid red;
    margin:10px;
}</pre>
<p>html代码：</p>
<pre>&lt;body&gt;
   &lt;div&gt;文本内容&lt;/div&gt;
&lt;/body&gt;</pre>
<p>元素的实际长度为：10px+1px+20px+200px+20px+1px+10px=262px。在chrome浏览器下可查看元素盒模型，如下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm11a2V3YW5nLmNvbS81NDNiNGNhZTAwMDFiMzQzMDQzMDAzNTAuanBn.jpg" /></p>
<pre>&lt;!DOCTYPE HTML&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312"&gt;
&lt;title&gt;宽度和高度&lt;/title&gt;
&lt;style type="text/css"&gt;
li{
    border-bottom:1px dotted #ccc;
    width:200px;height:30px;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;ul&gt;
    &lt;li&gt;别让不会说话害了你&lt;/li&gt;
    &lt;li&gt;二十七八岁就应该有的见识&lt;/li&gt;
    &lt;li&gt;别让不好意思害了你&lt;/li&gt;
&lt;/ul&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<h2>盒模型--填充</h2>
<p>元素内容与边框之间是可以设置距离的，称之为&ldquo;填充&rdquo;。填充也可分为上、右、下、左(顺时针)。如下代码：</p>
<pre>div{padding:20px 10px 15px 30px;}</pre>
<p>顺序一定不要搞混。可以分开写上面代码：</p>
<pre>div{
   padding-top:20px;
   padding-right:10px;
   padding-bottom:15px;
   padding-left:30px;
}</pre>
<p>如果上、右、下、左的填充都为10px;可以这么写</p>
<pre>div{padding:10px;}</pre>
<p>如果上下填充一样为10px，左右一样为20px，可以这么写：</p>
<pre>div{padding:10px 20px;}</pre>

<pre>&lt;!DOCTYPE HTML&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312"&gt;
&lt;title&gt;填充&lt;/title&gt;
&lt;style type="text/css"&gt;
#box1{
    width:100px;
    height:100px;
    padding:10px;
    border:1px solid red;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="box1"&gt;盒子1&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<h2>盒模型--边界</h2>
<p>元素与其它元素之间的距离可以使用边界（margin）来设置。边界也是可分为上、右、下、左。如下代码：</p>
<pre>div{margin:20px 10px 15px 30px;}</pre>
<p>也可以分开写：</p>
<pre>div{
   margin-top:20px;
   margin-right:10px;
   margin-bottom:15px;
   margin-left:30px;
}
</pre>
<p>如果上右下左的边界都为10px;可以这么写：</p>
<pre>div{ margin:10px;}</pre>
<p>如果上下边界一样为10px，左右一样为20px，可以这么写：</p>
<pre>div{ margin:10px 20px;}</pre>
<p>总结一下：padding和margin的区别，padding在边框里，margin在边框外。</p>
<pre>&lt;!DOCTYPE HTML&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=utf-8"&gt;
&lt;title&gt;边距&lt;/title&gt;
&lt;style type="text/css"&gt;
div{
    width:300px;
    height:300px;
    border:1px solid red;
}
#box1{margin-bottom:30px;}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
    &lt;div id="box1"&gt;box1&lt;/div&gt;
    &lt;div id="box2"&gt;box2&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 08:12:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>html学习第三天—— 第11章 盒子模型  div的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e7pBD4.html" rel="bookmark">html学习第三天&mdash;&mdash; 第12章&mdash;&mdash;css布局模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				清楚了CSS 盒模型的基本概念. 盒模型类型, 我们就可以深入探讨网页布局的基本模型了.布局模型与盒模型一样都是 CSS 最基本. 最核心的概念. 但布局模型是建立在盒模型基础之上,又不同于我们常说的 CSS 布局样式或 CSS 布局模板.如果说布局模型是本,那么 CSS 布局模板就是末了,是外在的表现形式. CSS包含3种基本的布局模型,用英文概括为:Flow.Layer 和 Float.在网页中,元素有三种布局模型:1.流动模型(Flow)2.浮动模型 (Float)3.层模型(Layer)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Z1YA0.html" rel="bookmark">ThinkPHP 学习笔记 &lpar; 三 &rpar; 数据库操作之数据表模型和基础模型 &lpar; Model &rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//TP 恶补ing... 一.定义数据表模型 1.模型映射 要测试数据库是否正常连接,最直接的办法就是在当前控制器中实例化数据表,然后使用 dump 函数输出,查看数据库的链接状态.代码: public function testdb(){ $obj=M(&quot;User&quot;); dump($obj); } 此时浏览器输出: object(Model)#5 (20) { [&quot;_extModel:private&quot;] =&gt; NULL [&quot;db:protecte			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eYNkZ0.html" rel="bookmark">第11章 图论模型与算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				再谈树 无根树转有根数 #include&lt;bits/stdc++.h&gt; using namespace std; const int maxn = 100; vector&lt;int&gt; G[maxn]; int n; void read_tree(){ int u,v; scanf(&quot;%d&quot;,&amp;n); for(int i=0;i&lt;n-1;i++){ scanf(&quot;%d%d&quot;,&amp;u,&amp;v); G[u].push_bac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg9Bmg3.html" rel="bookmark">RabbitMQ学习（三）订阅&sol;发布</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RabbitMQ学习(三)订阅/发布 1.RabbitMQ模型 前面所学都只用到了生产者.队列.消费者.如上图所示,其实生产者并不直接将信息传输到队列中,在生产者和队列中间有一个交换机(Exchange),我们之前没有使用到交换机是应为我们没有配置交换机,使用了默认的交换机. 有几个可供选择的交换机类型:直连交换机(direct), 主题交换机(topic), (头交换机)headers和 扇型交换机(fanout) 这里我们使用扇形交换机做一个简单的广播模型:一个生产者和多个消费者接受相同消息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXD6q8M.html" rel="bookmark">DirectX 11游戏编程学习笔记之7&colon; 第6章Drawing in Direct3D&lpar;在Direct3D中绘制&rpar;（重点回顾&plus;勘误）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        本文由哈利_蜘蛛侠原创,转载请注明出处!有问题欢迎联系[email protected]         注:我给的电子版是700多页,而实体书是800多页,所以我在提到相关概念的时候,会使用章节号而非页码.同样的情况适合于&quot;龙书&quot;第二版. 上一期的地址: DX 11游戏编程学习笔记之6 这一章应该是本书最长的一章了,可能也是最难的一章,所以大家一定要好好消化,仔细学习!这一章大致相当于&quot;龙书&quot;第二版的第7章和第8章,还添加了一些别的东西. 由于这一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z9veG0.html" rel="bookmark">第11章，磁盘存储和文件系统学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多内容请点击: Linux学习从入门到打死也不放弃,完全笔记整理(持续更新,求收藏,求点赞~~~~) http://blog.51cto.com/13683480/2095439 笔记整理开始时间:2018年4月24日11:25:33 第11章,磁盘存储和文件系统 本章内容: 磁盘结构 分区类型 管理分区 管理文件系统 挂载设备 管理虚拟内存 RAID管理 LVM管理 LVM快照 设备文件: 磁盘设备的设备文件命名:/dev/dev-file SCSI,SATA,SAS,IDE,USB:   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bxvxY4.html" rel="bookmark">《Python学习手册 第五版》 -第11章 赋值、表达式和打印</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一章对Python的语句和语法已经进行了基本的说明,接下来就是每个章节的详细说明,本章的主要内容就是标题中涵盖的三点:赋值语句.表达式语句.打印语句 本章重点内容如下: 1.赋值语句 1)赋值语句的特点(注意事项) 2)赋值语句的形式:基本形式.元组及列表解包赋值.序列赋值.扩展的序列解包.多目标赋值.增量赋值 3)变量命名规则 2.表达式语句 1)常见的表达式语句 2)表达式语句和原位置修改 3.打印操作 1)调用形式 2)应用示例 以下是针对以上重点内容的详细说明 1.赋值语句 1)赋值语			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jXnmZ4.html" rel="bookmark">《白帽子讲WEB安全》学习笔记之第11章 加密算法与随机数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第11章 加密算法与随机数 11.1 概述 攻击密码系统的方法 密码分析者攻击密码系统的方法主要有以下三种: (1)穷举攻击 所谓穷举攻击是指密码分析者采用依次试遍所有可能的密钥对所获密文进行解密,直至得到正确的明文. (2)统计分析攻击 所谓统计分析攻击就是指密码分析者通过分析密文和明文的统计规律来破译密码. (3)数学分析攻击 所谓数学分析攻击是指密码分析者针对加解密算法的数学基础和某些密码学特性,通过数学求解的方法来破译密码. 破译密码的类型 (1)唯密文攻击(Ciphertext-onl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RGeAy3.html" rel="bookmark">oracle学习 第三章 常用的SQL&ast;PLUS命令 &mdash;&mdash;02</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天接着昨天的RUN命令继续讲. 3.5 n(设置当前行)命令和A(PPEND)(附加)命令 设想,你输入了例3-10的查询语句 例 3-10 SQL&gt; SELECT ename 2 FROM emp; 例 3-10 结果 看到以上输出时,您发现在SELECT子句中忘了job,sal.这时您又如何修改您的SELECT子句呢?首先您应该使用SQL*PLUS的L(LIST)命令来显示SQL缓冲中的内容. 例 3-11 SQL&gt; L 例 3-11 结果 在例3-11显示的结果中,2后面的&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wRjR0.html" rel="bookmark" class="title">C语言程序的内存布局</a>
					<div>
						一:C语言程序的存储区域 C语言编写的程序经过编绎-链接后,将形成一个统一的文件,它由几个部分组成,在程序运行时又会产生几个其他部分,各个部分代表了不同的存储区域: 1.代码段(Code or Tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dev93.html" rel="bookmark" class="title">HTMl5的sessionStorage和localStorage</a>
					<div>
						html5中的Web Storage包括了两种存储方式:sessionStorage和localStorage. sessionStorage用于本地存储一个会话(session)中的数据,这些数据只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMW5gy3.html" rel="bookmark" class="title">实战Nginx&plus;Tomcat负载均衡集群</a>
					<div>
						实验环境:RHEL6.5  server1.example.com 172.25.254.1                                           server2.exa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qrvW4.html" rel="bookmark" class="title">附12 grafana配置文件</a>
					<div>
						一.配置文件位置 /usr/local/opt/grafana/share/grafana/default.ini /usr/local/etc/grafana/grafana.ini 二.init格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLDzL0.html" rel="bookmark" class="title">win7开启热点时&OpenCurlyDoubleQuote;无法启动承载网络&rdquo;的解决方法</a>
					<div>
						一.win7下开启热点的步骤 (1)netsh wlan set hostednetwork mode=allow ssid=wuminPC key=wuminWiFi (2)netsh wlan s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqgj50.html" rel="bookmark" class="title">beta版本的问题</a>
					<div>
						// hang 对上传文件的流程有改变,或者配置文件重大改变,才需要更改版本号// beta1 解决:1)Handle递归时发生错误的问题 2)连接没断,却无法继续操作,这种情况下也要重连// bet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDd9Y7M.html" rel="bookmark" class="title">什么是TOPO学</a>
					<div>
						拓扑,一个跟门萨同样古怪的“科技Word”.其定义,对绝大多数读者而言,不一定需要理解,但无妨知道———拓扑学,数学的一门分科,研究几何图形在一对一的双方连续变换下不变的性质.不少门萨题,来自拓扑学, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqKmO4.html" rel="bookmark" class="title">Eclipse启动界面更改</a>
					<div>
						前段日子看到有人修改了Eclipse的启动界面,因此自己试着修改了一下.本文总结一下修改Eclipse 4.5(代号Mars)启动界面的方法. 方法一:修改splash.bmp启动图 Eclipse启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BGeOM.html" rel="bookmark" class="title">情爱难剪断，菩提树下悟佛缘</a>
					<div>
						说好了一起到白头,为何两情相悦不长久?泪无声,在月下凝固成霜.如水的颜容,斑驳成伤.多少无眠的夜,谁人能体恤我的孤独. 轻风掠过发间,好似你温柔的指尖.多少缠绵,多少誓言,在今天看来都是昙花一现.曾经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEZY1M.html" rel="bookmark" class="title">Mahout学习</a>
					<div>
						Mahout小案例学习,实现k-means算法. 环境:OS:Centos 6.5 x64 &amp; Soft:Hadoop 1.2.1 &amp; Mahout 0.9 1.下载测试数据 [[em ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoagBy3.html" rel="bookmark" class="title">三&period; 200多万元得到的创业教训--创业并不需要app</a>
					<div>
						摘要:有个点子,研发app或网站,推广,不断改进,探索盈利模式.这个通用的移动互联网创业流程.但我认为,在某些特定的商业模式下,&quot;研发app或网站&quot;这步可以砍掉或推迟. 健生干货分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqYrQ0.html" rel="bookmark" class="title">黑马程序员-java基础-集合Map</a>
					<div>
						-----Java培训.Android培训.iOS培训..Net培训.期待与您交流! Map&lt;K,V&gt; Map&lt;K,V&gt;:Map存储的是键值对形式的元素,它的每一个元素,都是由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l77wBM.html" rel="bookmark" class="title">【趣味算法题】在数组中，对于所有元素，找出比当前元素大的下一个元素</a>
					<div>
						在数组中,对于所有元素,找出比当前元素大的下一个元素 意思就是,eg.  数组为 3 1 2 5 4 6 7 那么我们需要得到的结果应该是  5 2 5 6 6 7 -1 解决方法如下: 暴力匹配:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNrQE4.html" rel="bookmark" class="title">斯坦福机器学习课程笔记</a>
					<div>
						模型(如何模拟)---策略(风险函数)--算法(最优化方法) 第一节: 机器学习的基本概念和分类 第二节: 线性回归,最小二乘 批梯度下降(bgd)和随机梯度下降(sgd) 第三节: 过拟合,欠拟合  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzB5nOM.html" rel="bookmark" class="title">js的重要知识点</a>
					<div>
						一.事件 1-261.onmousedown定义:onmousedown事件会在鼠标按键被按下时发生 2.onmouseup定义:onmouseup事件会在鼠标按键被松开时发生 3.onmousemo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgRjdK4.html" rel="bookmark" class="title">windows phone 8 使用页面传对象的方式 实现页面间的多值传递</a>
					<div>
						在做windows phone 开发的时候,会经常碰到页面间之间的跳转和传递数据,如果传递的值不多,只有两三个,我们通常使用NavigationService.Navigate(new Uri(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoLnj3.html" rel="bookmark" class="title">MySQL 表分区 报错：Table has no partition for value XXX</a>
					<div>
						对已存在的未分区的表进行分区 alter table test PARTITION BY RANGE(id) (PARTITION p1 VALUES LESS THAN (101),PARTITIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6JyP3.html" rel="bookmark" class="title">hdu 6152 &colon; Friend-Graph （2017 CCPC网络赛 1003）</a>
					<div>
						题目链接 裸的结论题.百度 Ramsey定理.刚学过之后以为在哪也不会用到23333333333,没想到今天网络赛居然出了.顺利在题面更改前A掉~~~(我觉得要不是我开机慢+编译慢+中间暂时死机,我还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02r6KA0.html" rel="bookmark" class="title">sqoop 1&period;4&period;4-cdh5&period;1&period;2快速入门</a>
					<div>
						一.快速入门 (一)下载安装 1.下载并解压 wget http://archive.cloudera.com/cdh5/cdh/5/sqoop-1.4.4-cdh5.1.2.tar.gz tar - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KKoXr0.html" rel="bookmark" class="title">VS模板文件修改，自动生成注释</a>
					<div>
						VS的模板文件存放在IDE下的ItemTemplatesCache文件夹下 1.不同VS版本IDE文件夹路径个有不同,下面以VS2012为例,IDE文件夹路径如图: 2.打开IDE文件夹下的ItemT ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
